# RPM specfile for libgail-gnome module
# Generated Tue Oct 29 09:46:35 2002 GMT by Ximian build system
# $Id: bb_do,v 1.190 2002/07/15 15:56:59 thunder Exp $
# from $Id: ximian-build.conf,v 1.2.2.1 2002/09/06 00:16:10 jacob Exp $

%define nam	libgail-gnome
%define ver	1.0.1.0.200210290744
%define ximrev	1

Name:     	libgail-gnome
Version: 	1.0.1.0.200210290744
Release:	0.snap.ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 7.2 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://developer.gnome.org/projects/gap/
Source0:	libgail-gnome-1.0.1.tar.gz
Summary:	GTK Accesibility
Group:		System Environment/Libraries
Requires:	gtk2
Provides:	ximian-libgail-gnome = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description
Gail is the Gnome Accessibility Implementation library, which implements ATK interfaces for GNOME widgets.

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
/usr/lib/gtk-2.0/modules/lib*.so


%post
ldconfig

%postun
ldconfig

%package -n libgail-gnome-devel
Summary:	Development files for GTK Accesibility
Group:		Development/Libraries
Requires:	%{nam} = %{PACKAGE_VERSION}
Requires:	gtk2-devel
Provides:	ximian-libgail-gnome-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description -n libgail-gnome-devel
Gail is the Gnome Accessibility Implementation library, which implements ATK interfaces for GNOME widgets.

%files -n libgail-gnome-devel
%defattr(-, root, root)
/usr/lib/pkgconfig/*


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n libgail-gnome-1.0.1
    ;;
all)
%setup  -q -n libgail-gnome-1.0.1
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install prefix=${DESTDIR}/usr sysconfdir=${DESTDIR}/etc mandir=${DESTDIR}/usr/share/man infodir=${DESTDIR}/usr/share/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Tue Oct 29 2002 Ximian, Inc.

- Version: 1.0.1.0.200210290744-0.snap.ximian.1
- Summary: New build.
- New automated build.

